org.jboss.resteasy.plugins.server.tjws

## Class TJWSServletServer.FileMappingServe

- java.lang.Object
- - Acme.Serve.Serve
  - - org.jboss.resteasy.plugins.server.tjws.TJWSServletServer.FileMappingServe

- All Implemented Interfaces:
    Serializable, javax.servlet.ServletContext
  Enclosing class:
    TJWSServletServer

      public static class TJWSServletServer.FileMappingServe
      extends Serve

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class Acme.Serve.Serve

      `Serve.AcceptLocaleEnumeration, Serve.Acceptor, Serve.AcmeSession, Serve.BasicAuthRealm, Serve.HttpSessionContextImpl, Serve.LocaleWithWeight, Serve.PathTreeDictionary, Serve.ServeConfig, Serve.ServeConnection, Serve.ServeInputStream, Serve.ServeOutputStream, Serve.SimpleRequestDispatcher`

  - ### Field Summary

    - ### Fields inherited from class Acme.Serve.Serve

      `acceptor, ARG_ACCEPTOR_CLASS, ARG_ACCESS_LOG_FMT, ARG_ALIASES, ARG_BACKLOG, ARG_BINDADDRESS, ARG_CGI_PATH, ARG_ERR, ARG_JSP, ARG_KEEPALIVE, ARG_KEEPALIVE_TIMEOUT, ARG_LOG_DIR, ARG_LOG_OPTIONS, ARG_MAX_ACTIVE_SESSIONS, ARG_MAX_CONN_USE, ARG_NOHUP, ARG_OUT, ARG_PORT, ARG_REALMS, ARG_SERVLETS, ARG_SESSION_PERSIST, ARG_SESSION_SEED, ARG_SESSION_TIMEOUT, ARG_THREAD_POOL_SIZE, ARG_THROTTLES, ARG_WAR, ARG_WORK_DIRECTORY, arguments, backgroundThread, BGCOLOR, connections, DEF_LOGENCODING, DEF_MAX_CONN_USE, DEF_MIN_ACT_SESS, DEF_PORT, DEF_SESSION_TIMEOUT, DESTROY_TIME_SEC, expiredIn, gzipInStreamConstr, hostName, HTTP_MAX_HDR_LEN, initialized, keepAliveCleaner, keepAliveHdrParams, mappingtable, mime, realms, registry, serverThreads, sessions, shutdownLatch, ssclThread, threadPool, UTF8`

    - ### Fields inherited from interface javax.servlet.ServletContext

      `ORDERED_LIBS, TEMPDIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TJWSServletServer.FileMappingServe()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileMapping(String context, File directory)`
    `String` | `getInitParameter(String param)`
    `Hashtable<String,String>` | `getInitParams()`
    `void` | `initFileMappings()`
    `void` | `setInitParams(Hashtable<String,String> initParams)`

    - ### Methods inherited from class Acme.Serve.Serve

      `addDefaultServlets, addDefaultServlets, addServlet, addServlet, addServlet, addServlet, addWarDeployer, createAcceptor, destroyAllServlets, getAttribute, getAttributeNames, getContext, getContextPath, getInitParameterNames, getKeepAliveDuration, getKeepAliveParamStr, getMajorVersion, getMaxTimesConnectionUse, getMimeType, getMinorVersion, getNamedDispatcher, getPersistentFile, getRealPath, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getServerInfo, getServlet, getServletContextName, getServletNames, getServlets, init, initMime, isAccessLogged, isKeepAlive, isShowReferer, isShowUserAgent, log, log, log, notifyStop, removeAttribute, runInBackground, serve, setAccessLogged, setAttribute, setMappingTable, setRealms, stopBackground, unloadServlet, unloadServlet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletContext

      `addFilter, addFilter, addFilter, addListener, addListener, addListener, addServlet, createFilter, createListener, createServlet, declareRoles, getClassLoader, getDefaultSessionTrackingModes, getEffectiveMajorVersion, getEffectiveMinorVersion, getEffectiveSessionTrackingModes, getFilterRegistration, getFilterRegistrations, getJspConfigDescriptor, getServletRegistration, getServletRegistrations, getSessionCookieConfig, getVirtualServerName, setInitParameter, setSessionTrackingModes`

- - ### Constructor Detail

    - #### TJWSServletServer.FileMappingServe

          public TJWSServletServer.FileMappingServe()

  - ### Method Detail

    - #### initFileMappings

          public void initFileMappings()

    - #### addFileMapping

          public void addFileMapping(String context,
                            File directory)

    - #### getInitParameter

          public String getInitParameter(String param)

      Specified by:
        `getInitParameter` in interface `javax.servlet.ServletContext`
      Overrides:
        `getInitParameter` in class `Serve`

    - #### getInitParams

          public Hashtable<String,String> getInitParams()

    - #### setInitParams

          public void setInitParams(Hashtable<String,String> initParams)

Copyright © 2014. All Rights Reserved.